

function preventDefaultEventAction(e) {
 try {
  e.preventDefault();
 } catch(exc) {
  e.returnValue=false;
 }
}

function open_form(e, dest_url, w, h, confirm_msg, target) {
 var sFeatures;
 sFeatures = 'directories=0,location=0,menubar=0,toolbar=0,resizable=1,scrollbars=1,status=0';
 
 if (typeof(w) != "undefined") {
  sFeatures = sFeatures + ',width=' + w.toString();
 }
 
 if (typeof(h) != "undefined") {
  sFeatures = sFeatures + ',height=' + h.toString();
 }
 
 if (typeof(confirm_msg) != "undefined") {
  if (window.confirm(confirm_msg))
   window.open(dest_url, target, sFeatures);
 } else {
  window.open(dest_url, target, sFeatures);
 }
 preventDefaultEventAction(e);
}

function open_normal(e, dest_url, target) {
 window.open(dest_url, target);
 preventDefaultEventAction(e);
}

function open_in_new_window(e, dest_url, win_type, w, h, target, confirm_msg) {
 var sFeatures;
 if (!target) target = '_blank';
 
 if (win_type == 'form') {
  open_form(e, dest_url, w, h, confirm_msg, target);
 } else {
  open_normal(e, dest_url, target);
 }
 preventDefaultEventAction(e);
}

